Bug 547494 - Monitoring graph functionality broken
Summary: Monitoring graph functionality broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact:
URL:
Whiteboard:
Keywords: SubBug
Depends On:
Blocks: rhq_triage jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2009-12-14 19:39 UTC by Steve Salevan
Modified: 2010-08-12 16:49 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:49:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Salevan 2009-12-14 19:39:58 UTC
Description of problem:
If a user visits a page which displays the graphs of various monitoring metrics, the graph images will not display, and if the user visits the URL for the graph, such as the following:

http://10.16.120.160:7080/resource/HighLowChart?id=10002&imageWidth=647&imageHeight=100&schedId=10056&definitionId=11491&measurementUnits=MILLISECONDS&now=1260819025099

they will receive the following stacktrace:

java.lang.NoClassDefFoundError: Could not initialize class org.rhq.enterprise.gui.image.chart.HighLowChart
	org.rhq.enterprise.gui.common.servlet.HighLowChartServlet.createChart(HighLowChartServlet.java:77)
	org.rhq.enterprise.gui.common.servlet.ChartServlet.createImage(ChartServlet.java:180)
	org.rhq.enterprise.gui.common.servlet.ImageServlet.doGet(ImageServlet.java:123)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:690)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:124)
	org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)

Version-Release number of selected component (if applicable):
RHQ git master, pulled 12/14/09

How reproducible:
Always

Steps to Reproduce:
1. Setup an RHQ server and agent
2. Resources->Platforms->your platform->CPU 0->Monitor
3. Examine monitoring graphs
  
Actual results:
Monitoring graphs do not display

Expected results:
Monitoring graphs display

Additional info:

Comment 1 wes hayutin 2010-02-16 16:59:07 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 2 wes hayutin 2010-02-16 17:03:52 UTC
making sure we're not missing any bugs in rhq_triage

Comment 3 Charles Crouch 2010-06-14 18:09:42 UTC
Can QE please confirm this is no longer an issue. Thanks

Comment 4 Sunil Kondkar 2010-06-15 09:34:46 UTC
Verified on jon build#210

Resources->Platforms->$platform->CPU 0->Monitor tab displays graphs. Also clicking on links like 'System Load', 'User Load' and 'Wait Load' display jon metric charts.

Comment 8 Corey Welton 2010-08-12 16:49:57 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.